Subject: [Bier] clarification in https://tools.ietf.org/html/draft-ietf-bier-architecture-08

From: matecs <[email-masked]>
Date: Mon, 30 Oct 2017 06:38:59 +0100

hi,
i'm developing bier for freerouter.nop.hu, and during this process,
i found that bitstring encoding is not fully clarified in the drafts.
especially, the byte order of bitstring is not specified anywhere.
so allow me to suggest a small addition to the arch draft
to section 3, below the current two bullets, a third one:

* BitString encoding is big endian (msb) on the wire. It means that
   if you have to send to BFR-id 1, then you have to set the lowest
   bit in the last byte in the BitString.

thanks,
csaba mate
niif/hungarnet

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 30 Oct 2017 13:53:12 +0000

Csaba, 

Note that big endian format is referred to as “Network Byte Order” for a
reason and every IETF document does not have to respecify this. Also, this
is specified as the preferred order in section 3.12 of RFC 2360.

https://www.ietf.org/rfc/rfc2360.txt

Thanks,
Acee 

On 10/30/17, 1:38 AM, "BIER on behalf of matecs" <[email-masked] on
behalf of [email-masked]> wrote:

>_______________________________________________
>BIER mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/bier

---

From: Alia Atlas <[email-masked]>
Date: Mon, 30 Oct 2017 10:31:33 -0400

Hi Csaba,

Thanks for letting us know that you are developing bier for
freerouter.nop.hu.
I am expecting a number of other relevant drafts to be progressing out of
the
BIER WG soon - so this would be a really excellent time to read through and
provide feedback.

As Acee's email indicated, we always assume Network Byte Order.  This
particular
draft is already to the RFC Editor for publication, but during Auth48 it
may be possible
to add a brief mention that it is in Network Byte Order.

Regards,
Alia

---

From: Tony Przygienda <[email-masked]>
Date: Mon, 30 Oct 2017 08:26:31 -0700

I suggest to add a mention/reference on AUTH48 since I got the question 2-3
times already from different parties.

Network byte order is normally specified up to 32 and 64 bits (well, maybe
128 if one dealt with SIMD) but BIER takes it into a much longer space so
it's not necessarily evident.

--- tony

---

From: matecs <[email-masked]>
Date: Mon, 30 Oct 2017 16:48:35 +0100

hi,
https://datatracker.ietf.org/doc/draft-ietf-bier-mpls-encapsulation/
is not in the rfc-editor queue and also tells
things about bitstring encoding in section 2.1.2.
so if there is a will to clarify byte order,
that draft probably easier to deal with...
regards,
cs

On 10/30/2017 04:26 PM, Tony Przygienda wrote:
> I suggest to add a mention/reference on AUTH48 since I got the question 
> 2-3 times already from different parties.
> 
> Network byte order is normally specified up to 32 and 64 bits (well, 
> maybe 128 if one dealt with SIMD) but BIER takes it into a much longer 
> space so it's not necessarily evident.
> 
> --- tony
> 
> 
> On Mon, Oct 30, 2017 at 7:31 AM, Alia Atlas <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     Hi Csaba,
> 
>     freerouter.nop.hu <http://freerouter.nop.hu>.
>     I am expecting a number of other relevant drafts to be progressing
>     out of the
>     As Acee's email indicated, we always assume Network Byte Order. 
>     This particular
>     draft is already to the RFC Editor for publication, but during
>     Auth48 it may be possible
>     On Mon, Oct 30, 2017 at 1:38 AM, matecs <[email-masked]
>     <mailto:[email-masked]>> wrote:
> 
>         hi,
>         i'm developing bier for freerouter.nop.hu
>         <http://freerouter.nop.hu>, and during this process,
>         [email-masked] <mailto:[email-masked]>
>         <https://www.ietf.org/mailman/listinfo/bier>
> 
> 
> 
>     [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/bier>
> 
>

---

From: Tony Przygienda <[email-masked]>
Date: Mon, 30 Oct 2017 08:50:51 -0700

There are multiple encapsulations in the queue, it is better to clear it @
architectural level given our architecture has a flavor of "practical
design and implementation guidelines" which BTW, IMO is a very good thing
indeed ;-)

--- tony

On Mon, Oct 30, 2017 at 8:48 AM, matecs <[email-masked]> wrote:

>> On Mon, Oct 30, 2017 at 7:31 AM, Alia Atlas <[email-masked] <mailto:
>> [email-masked]>> wrote:
>>
>>     Hi Csaba,
>>